import java.io.BufferedReader;
import java.io.InputStreamReader;

public class Fibonacci3 {
	public static void main(String[] args) {
		// declaration of variables
		int counter;
		int oldNumber = 0;
		int newNumber = 1;
		
		// parse counter value
		System.out.print("How many Fibonacci Numbers should be displayed? ");
		counter = readInteger();
		
		// the first two Fibonacci Numbers are predefined
		System.out.println("1. Fibonacci Number: " + oldNumber);
		System.out.println("2. Fibonacci Number: " + newNumber);
		
		// generate the remaining numbers
		for (int i=3; i<=counter; i++) {
			int temp = oldNumber + newNumber;
			oldNumber = newNumber;
			newNumber = temp;
			System.out.println(i + ". Fibonacci Number: " + newNumber);
		}
	}
	
	private static int readInteger() {
		String line;
		BufferedReader input = new BufferedReader(new InputStreamReader(System.in));

		try {
			line = input.readLine();
			return Integer.parseInt(line);
		} catch (Exception e) {
			return 0;
		}
	}
}
